Queue jobs for processing

Use this endpoint to queue jobs for processing that you previously submitted without queuing (i.e., jobs that are currently in the Not queued data point state).

Path Params
string
required

The universal unique identifier (UUID) of the project for which you want to queue the jobs. You can find this in the super.AI dashboard URL of your project.

Query Params
date

UTC timestamp of the earliest job submission date for queuing

date

UTC timestamp of the latest job submission date for queuing

tags
array of strings

Filter by tags, which are manually set text tags that allow you to label and group your data points for later reference

tags
string

Filter by job batch, i.e., jobs created with a single request

string

Filter by the contents of job metadata appended at the time of submission

string

Filter by a specific ID. This searches job IDs, job UUIDs, and metadata IDs.

int32

Filter by the lowest job ID number

int32

Filter by the highest job ID number

string

The path within the input JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the input features an array). E.g., if you want to search an input key named vendor that is nested within a product key, specify it using the format {product.vendor}. Must be used together with inputMatchType and inputValue.

string

The type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with inputPath and inputValue.

string

The search term that you are looking for within your input. Must be used together with inputPath and inputMatchType.

Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json